import { z } from 'zod';
import { AvoirdupoisSchema } from './avoirdupois.schema';

export const WeightSchema = z.object({
  value: z.number().describe('Value'),
  unit: AvoirdupoisSchema.describe('Unit'),
});

export type Weight = z.infer<typeof WeightSchema>;
